Package com.independentsoft.calc.parsing

# Enum Class BinOp

java.lang.Object
java.lang.Enum<BinOp>
com.independentsoft.calc.parsing.BinOp

All Implemented Interfaces:
  `Serializable`, `Comparable<BinOp>`, `Constable`

public enum BinOp extends Enum<BinOp>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Add`
  `Concat`
  `Div`
  `Eq`
  `Ge`
  `Gt`
  `Le`
  `Lt`
  `Mul`
  `Ne`
  `Pow`
  `Sub`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BinOp`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BinOp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Add

    public static final BinOp Add

  - ### Sub

    public static final BinOp Sub

  - ### Mul

    public static final BinOp Mul

  - ### Div

    public static final BinOp Div

  - ### Pow

    public static final BinOp Pow

  - ### Concat

    public static final BinOp Concat

  - ### Eq

    public static final BinOp Eq

  - ### Ne

    public static final BinOp Ne

  - ### Lt

    public static final BinOp Lt

  - ### Le

    public static final BinOp Le

  - ### Gt

    public static final BinOp Gt

  - ### Ge

    public static final BinOp Ge

- ## Method Details

  - ### values

    public static BinOp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BinOp valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null